RankSharkDocs
Lookups

Suggest the search location for a position

RankShark TrackScopetrack:write

POST
/v1/track/locate

Where a campaign's searches should come from for a position (country, region and city tokens): the campaign's ipLocation.

Scope: track:write.

Authorization

headerAuthorizationBearer <rstk_… API key or OAuth access token>

A Track API key (rstk_…, Settings → API & MCP) or an OAuth access token issued for this API

Request Body

application/json
  1. body
lat*number
Range-85 <= value <= 85
lng*number
Range-180 <= value <= 180
country?string

Country code hint (default us)

Lengthlength <= 2

Response Body

OK

application/json
  1. response

Where the searches come from

country*string

Country code

region?|

Region token

city?|

City token

Example Request
curl -X POST 'https://panel.rankshark.io/v1/track/locate' \  -H 'Content-Type: application/json' \  -d '{  "lat": 30.2509,  "lng": -97.7493,  "country": "us"}'
Example Response
{  "country": "us",  "region": "texas",  "city": "austin"}